! IMPORTANT :
--------after a few experimenet with dart i decided to use-
--------Python so i can have much more capabilities 

this folder is project for a dart telegram api
i will be using teledart library from the dart library to complete this project 
client requirement 
--------interact with a telegram bot using api
--------make this bot execute command on the machine
--------make this commande manupilate a flutter project
----------------create a flutter project with a response
----------------compile a flutter project with a response
----------------add files to flutter project with a response


# flutter_docker

A new Flutter project.

## Getting Started

This project is a starting point for a Flutter application.Created by telegrambot using PYTHON as programming langage and mongodb atlass as a database

##Introduction :

This library provides a pure Python interface for the Telegram Bot API. It's compatible with Python versions 3.6+. PTB might also work on PyPy, though there have been a lot of issues before. Hence, PyPy is not officially supported.


##Telegram API support:
All types and methods of the Telegram Bot API 5.2 are supported.

##Installing
You can install or upgrade python-telegram-bot with:

$ pip install python-telegram-bot --upgrade
Or you can install from source with:

$ git clone https://github.com/python-telegram-bot/python-telegram-bot --recursive
$ cd python-telegram-bot
$ python setup.py install
In case you have a previously cloned local repository already, you should initialize the added urllib3 submodule before installing with:

$ git submodule update --init --recursive
##Optional Dependencies
PTB can be installed with optional dependencies:

pip install python-telegram-bot //installs the cryptography library. Use this, if you want to use Telegram Passport related functionality.
pip install python-telegram-bot  //installs the ujson library. It will then be used for JSON de- & encoding, which can bring speed up compared to the standard json library.
pip install python-telegram-bot  //installs the PySocks library. Use this, if you want to work behind a Socks5 server.
##Getting started
Our Wiki contains a lot of resources to get you started with python-telegram-bot:

##Introduction to the API
Tutorial: Ideapp Bot
##Other references:

Telegram API documentation
python-telegram-bot documentation
Learning by example
We believe that the best way to learn this package is by example. Here are some examples for you to review. Even if it is not your approach for learning, please take a look at MyBot.py, it is the de facto base for most of the bots out there. Best of all, the code for these examples are released to the public domain, so you can start by grabbing the code and building on top of it.


##Getting help:
A few resources to get you started if this is your first Flutter project:

- [Lab: Write your first Flutter app](https://flutter.dev/docs/get-started/codelab)
- [Cookbook: Useful Flutter samples](https://flutter.dev/docs/cookbook)

For help getting started with Flutter, view our
[online documentation](https://flutter.dev/docs), which offers tutorials,
samples, guidance on mobile development, and a full API reference.
# FlutterTest

# dockerfile
set of platform as a service (PaaS) products that use OS-level virtualization to deliver software in packages called containers.Containers are isolated from one another and bundle their own software, libraries and configuration files; they can communicate with each other through well-defined channels. Because all of the containers share the services of a single operating system kernel, they use fewer resources than virtual machines.

The service has both free and premium tiers. The software that hosts the containers is called Docker Engine


##License:
You may copy, distribute and modify the software provided that modifications are described and licensed for free under LGPL-3. Derivatives works (including modifications or anything statically linked to the library) can only be redistributed under LGPL-3, but applications that use the library don't have to be.


